gdb/testsuite: set sysroot in gdb.server/stop-reply-no-thread-multi.exp
[binutils-gdb.git] / sim / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Copyright (C) 1993-2021 Free Software Foundation, Inc.
19 #
20 # This program is free software; you can redistribute it and/or modify
21 # it under the terms of the GNU General Public License as published by
22 # the Free Software Foundation; either version 3 of the License, or
23 # (at your option) any later version.
24 #
25 # This program is distributed in the hope that it will be useful,
26 # but WITHOUT ANY WARRANTY; without even the implied warranty of
27 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
28 # GNU General Public License for more details.
29 #
30 # You should have received a copy of the GNU General Public License
31 # along with this program. If not, see <http://www.gnu.org/licenses/>.
32
33 #
34 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
35 #
36 # This program is free software; you can redistribute it and/or modify
37 # it under the terms of the GNU General Public License as published by
38 # the Free Software Foundation; either version 3 of the License, or
39 # (at your option) any later version.
40 #
41 # This program is distributed in the hope that it will be useful,
42 # but WITHOUT ANY WARRANTY; without even the implied warranty of
43 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
44 # GNU General Public License for more details.
45 #
46 # You should have received a copy of the GNU General Public License
47 # along with this program. If not, see <http://www.gnu.org/licenses/>.
48
49 # Parts of the common/ sim code that have been unified.
50 # Most still lives in common/Make-common.in.
51
52 # The IGEN simulator generator for GDB, the GNU Debugger.
53 #
54 # Copyright 2002-2021 Free Software Foundation, Inc.
55 #
56 # Contributed by Andrew Cagney.
57 #
58 # This file is part of GDB.
59 #
60 # This program is free software; you can redistribute it and/or modify
61 # it under the terms of the GNU General Public License as published by
62 # the Free Software Foundation; either version 3 of the License, or
63 # (at your option) any later version.
64 #
65 # This program is distributed in the hope that it will be useful,
66 # but WITHOUT ANY WARRANTY; without even the implied warranty of
67 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
68 # GNU General Public License for more details.
69 #
70 # You should have received a copy of the GNU General Public License
71 # along with this program. If not, see <http://www.gnu.org/licenses/>.
72
73 #
74 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
75 #
76 # This program is free software; you can redistribute it and/or modify
77 # it under the terms of the GNU General Public License as published by
78 # the Free Software Foundation; either version 3 of the License, or
79 # (at your option) any later version.
80 #
81 # This program is distributed in the hope that it will be useful,
82 # but WITHOUT ANY WARRANTY; without even the implied warranty of
83 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
84 # GNU General Public License for more details.
85 #
86 # You should have received a copy of the GNU General Public License
87 # along with this program. If not, see <http://www.gnu.org/licenses/>.
88
89 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
90 #
91 # This program is free software; you can redistribute it and/or modify
92 # it under the terms of the GNU General Public License as published by
93 # the Free Software Foundation; either version 3 of the License, or
94 # (at your option) any later version.
95 #
96 # This program is distributed in the hope that it will be useful,
97 # but WITHOUT ANY WARRANTY; without even the implied warranty of
98 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
99 # GNU General Public License for more details.
100 #
101 # You should have received a copy of the GNU General Public License
102 # along with this program. If not, see <http://www.gnu.org/licenses/>.
103
104
105 VPATH = @srcdir@
106 am__is_gnu_make = { \
107 if test -z '$(MAKELEVEL)'; then \
108 false; \
109 elif test -n '$(MAKE_HOST)'; then \
110 true; \
111 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
112 true; \
113 else \
114 false; \
115 fi; \
116 }
117 am__make_running_with_option = \
118 case $${target_option-} in \
119 ?) ;; \
120 *) echo "am__make_running_with_option: internal error: invalid" \
121 "target option '$${target_option-}' specified" >&2; \
122 exit 1;; \
123 esac; \
124 has_opt=no; \
125 sane_makeflags=$$MAKEFLAGS; \
126 if $(am__is_gnu_make); then \
127 sane_makeflags=$$MFLAGS; \
128 else \
129 case $$MAKEFLAGS in \
130 *\\[\ \ ]*) \
131 bs=\\; \
132 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
133 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
134 esac; \
135 fi; \
136 skip_next=no; \
137 strip_trailopt () \
138 { \
139 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
140 }; \
141 for flg in $$sane_makeflags; do \
142 test $$skip_next = yes && { skip_next=no; continue; }; \
143 case $$flg in \
144 *=*|--*) continue;; \
145 -*I) strip_trailopt 'I'; skip_next=yes;; \
146 -*I?*) strip_trailopt 'I';; \
147 -*O) strip_trailopt 'O'; skip_next=yes;; \
148 -*O?*) strip_trailopt 'O';; \
149 -*l) strip_trailopt 'l'; skip_next=yes;; \
150 -*l?*) strip_trailopt 'l';; \
151 -[dEDm]) skip_next=yes;; \
152 -[JT]) skip_next=yes;; \
153 esac; \
154 case $$flg in \
155 *$$target_option*) has_opt=yes; break;; \
156 esac; \
157 done; \
158 test $$has_opt = yes
159 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
160 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
161 pkgdatadir = $(datadir)/@PACKAGE@
162 pkgincludedir = $(includedir)/@PACKAGE@
163 pkglibdir = $(libdir)/@PACKAGE@
164 pkglibexecdir = $(libexecdir)/@PACKAGE@
165 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
166 install_sh_DATA = $(install_sh) -c -m 644
167 install_sh_PROGRAM = $(install_sh) -c
168 install_sh_SCRIPT = $(install_sh) -c
169 INSTALL_HEADER = $(INSTALL_DATA)
170 transform = $(program_transform_name)
171 NORMAL_INSTALL = :
172 PRE_INSTALL = :
173 POST_INSTALL = :
174 NORMAL_UNINSTALL = :
175 PRE_UNINSTALL = :
176 POST_UNINSTALL = :
177 build_triplet = @build@
178 host_triplet = @host@
179 target_triplet = @target@
180 check_PROGRAMS = $(am__EXEEXT_3)
181 EXTRA_PROGRAMS = $(am__EXEEXT_2) testsuite/common/bits-gen$(EXEEXT) \
182 testsuite/common/fpu-tst$(EXEEXT)
183
184 # This makes sure igen is available before building the arch-subdirs which
185 # need to run the igen tool.
186 @SIM_ENABLE_IGEN_TRUE@am__append_1 = igen/igen$(EXEEXT)
187 @SIM_ENABLE_IGEN_TRUE@am__append_2 = igen/libigen.a
188 @SIM_ENABLE_IGEN_TRUE@am__append_3 = $(igen_IGEN_TOOLS)
189 @SIM_ENABLE_IGEN_TRUE@am__append_4 = $(igen_IGEN_TOOLS)
190 TESTS = testsuite/common/bits32m0$(EXEEXT) \
191 testsuite/common/bits32m31$(EXEEXT) \
192 testsuite/common/bits64m0$(EXEEXT) \
193 testsuite/common/bits64m63$(EXEEXT) \
194 testsuite/common/alu-tst$(EXEEXT)
195 subdir = .
196 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
197 am__aclocal_m4_deps = $(top_srcdir)/../config/depstand.m4 \
198 $(top_srcdir)/../config/lead-dot.m4 \
199 $(top_srcdir)/../config/override.m4 \
200 $(top_srcdir)/m4/sim_ac_toolchain.m4 \
201 $(top_srcdir)/configure.ac
202 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
203 $(ACLOCAL_M4)
204 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
205 $(am__configure_deps) $(pkginclude_HEADERS)
206 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
207 configure.lineno config.status.lineno
208 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
209 CONFIG_CLEAN_FILES =
210 CONFIG_CLEAN_VPATH_FILES =
211 LIBRARIES = $(noinst_LIBRARIES)
212 ARFLAGS = cru
213 AM_V_AR = $(am__v_AR_@AM_V@)
214 am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
215 am__v_AR_0 = @echo " AR " $@;
216 am__v_AR_1 =
217 common_libcommon_a_AR = $(AR) $(ARFLAGS)
218 common_libcommon_a_LIBADD =
219 am__dirstamp = $(am__leading_dot)dirstamp
220 am_common_libcommon_a_OBJECTS = common/version.$(OBJEXT)
221 common_libcommon_a_OBJECTS = $(am_common_libcommon_a_OBJECTS)
222 igen_libigen_a_AR = $(AR) $(ARFLAGS)
223 igen_libigen_a_LIBADD =
224 @SIM_ENABLE_IGEN_TRUE@am_igen_libigen_a_OBJECTS = \
225 @SIM_ENABLE_IGEN_TRUE@ igen/table.$(OBJEXT) igen/lf.$(OBJEXT) \
226 @SIM_ENABLE_IGEN_TRUE@ igen/misc.$(OBJEXT) \
227 @SIM_ENABLE_IGEN_TRUE@ igen/filter_host.$(OBJEXT) \
228 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode.$(OBJEXT) \
229 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache.$(OBJEXT) \
230 @SIM_ENABLE_IGEN_TRUE@ igen/filter.$(OBJEXT) \
231 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn.$(OBJEXT) \
232 @SIM_ENABLE_IGEN_TRUE@ igen/gen-model.$(OBJEXT) \
233 @SIM_ENABLE_IGEN_TRUE@ igen/gen-itable.$(OBJEXT) \
234 @SIM_ENABLE_IGEN_TRUE@ igen/gen-icache.$(OBJEXT) \
235 @SIM_ENABLE_IGEN_TRUE@ igen/gen-semantics.$(OBJEXT) \
236 @SIM_ENABLE_IGEN_TRUE@ igen/gen-idecode.$(OBJEXT) \
237 @SIM_ENABLE_IGEN_TRUE@ igen/gen-support.$(OBJEXT) \
238 @SIM_ENABLE_IGEN_TRUE@ igen/gen-engine.$(OBJEXT) \
239 @SIM_ENABLE_IGEN_TRUE@ igen/gen.$(OBJEXT)
240 igen_libigen_a_OBJECTS = $(am_igen_libigen_a_OBJECTS)
241 @SIM_ENABLE_IGEN_TRUE@am__EXEEXT_1 = igen/igen$(EXEEXT) \
242 @SIM_ENABLE_IGEN_TRUE@ igen/filter$(EXEEXT) igen/gen$(EXEEXT) \
243 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache$(EXEEXT) \
244 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode$(EXEEXT) \
245 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn$(EXEEXT) \
246 @SIM_ENABLE_IGEN_TRUE@ igen/table$(EXEEXT)
247 @SIM_ENABLE_IGEN_TRUE@am__EXEEXT_2 = $(am__EXEEXT_1)
248 am__EXEEXT_3 = testsuite/common/bits32m0$(EXEEXT) \
249 testsuite/common/bits32m31$(EXEEXT) \
250 testsuite/common/bits64m0$(EXEEXT) \
251 testsuite/common/bits64m63$(EXEEXT) \
252 testsuite/common/alu-tst$(EXEEXT)
253 am_igen_filter_OBJECTS =
254 igen_filter_OBJECTS = $(am_igen_filter_OBJECTS)
255 @SIM_ENABLE_IGEN_TRUE@igen_filter_DEPENDENCIES = igen/filter-main.o \
256 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
257 am_igen_gen_OBJECTS =
258 igen_gen_OBJECTS = $(am_igen_gen_OBJECTS)
259 @SIM_ENABLE_IGEN_TRUE@igen_gen_DEPENDENCIES = igen/gen-main.o \
260 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
261 @SIM_ENABLE_IGEN_TRUE@am_igen_igen_OBJECTS = igen/igen.$(OBJEXT)
262 igen_igen_OBJECTS = $(am_igen_igen_OBJECTS)
263 @SIM_ENABLE_IGEN_TRUE@igen_igen_DEPENDENCIES = igen/libigen.a
264 am_igen_ld_cache_OBJECTS =
265 igen_ld_cache_OBJECTS = $(am_igen_ld_cache_OBJECTS)
266 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_DEPENDENCIES = \
267 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache-main.o igen/libigen.a
268 am_igen_ld_decode_OBJECTS =
269 igen_ld_decode_OBJECTS = $(am_igen_ld_decode_OBJECTS)
270 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_DEPENDENCIES = \
271 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode-main.o igen/libigen.a
272 am_igen_ld_insn_OBJECTS =
273 igen_ld_insn_OBJECTS = $(am_igen_ld_insn_OBJECTS)
274 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_DEPENDENCIES = igen/ld-insn-main.o \
275 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
276 am_igen_table_OBJECTS =
277 igen_table_OBJECTS = $(am_igen_table_OBJECTS)
278 @SIM_ENABLE_IGEN_TRUE@igen_table_DEPENDENCIES = igen/table-main.o \
279 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
280 testsuite_common_alu_tst_SOURCES = testsuite/common/alu-tst.c
281 testsuite_common_alu_tst_OBJECTS = testsuite/common/alu-tst.$(OBJEXT)
282 testsuite_common_alu_tst_LDADD = $(LDADD)
283 testsuite_common_bits_gen_SOURCES = testsuite/common/bits-gen.c
284 testsuite_common_bits_gen_OBJECTS = \
285 testsuite/common/bits-gen.$(OBJEXT)
286 testsuite_common_bits_gen_LDADD = $(LDADD)
287 testsuite_common_bits32m0_SOURCES = testsuite/common/bits32m0.c
288 testsuite_common_bits32m0_OBJECTS = \
289 testsuite/common/bits32m0.$(OBJEXT)
290 testsuite_common_bits32m0_LDADD = $(LDADD)
291 testsuite_common_bits32m31_SOURCES = testsuite/common/bits32m31.c
292 testsuite_common_bits32m31_OBJECTS = \
293 testsuite/common/bits32m31.$(OBJEXT)
294 testsuite_common_bits32m31_LDADD = $(LDADD)
295 testsuite_common_bits64m0_SOURCES = testsuite/common/bits64m0.c
296 testsuite_common_bits64m0_OBJECTS = \
297 testsuite/common/bits64m0.$(OBJEXT)
298 testsuite_common_bits64m0_LDADD = $(LDADD)
299 testsuite_common_bits64m63_SOURCES = testsuite/common/bits64m63.c
300 testsuite_common_bits64m63_OBJECTS = \
301 testsuite/common/bits64m63.$(OBJEXT)
302 testsuite_common_bits64m63_LDADD = $(LDADD)
303 testsuite_common_fpu_tst_SOURCES = testsuite/common/fpu-tst.c
304 testsuite_common_fpu_tst_OBJECTS = testsuite/common/fpu-tst.$(OBJEXT)
305 testsuite_common_fpu_tst_LDADD = $(LDADD)
306 AM_V_P = $(am__v_P_@AM_V@)
307 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
308 am__v_P_0 = false
309 am__v_P_1 = :
310 AM_V_GEN = $(am__v_GEN_@AM_V@)
311 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
312 am__v_GEN_0 = @echo " GEN " $@;
313 am__v_GEN_1 =
314 AM_V_at = $(am__v_at_@AM_V@)
315 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
316 am__v_at_0 = @
317 am__v_at_1 =
318 DEFAULT_INCLUDES = -I.@am__isrc@
319 depcomp = $(SHELL) $(top_srcdir)/../depcomp
320 am__depfiles_maybe = depfiles
321 am__mv = mv -f
322 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
323 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
324 AM_V_CC = $(am__v_CC_@AM_V@)
325 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
326 am__v_CC_0 = @echo " CC " $@;
327 am__v_CC_1 =
328 CCLD = $(CC)
329 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
330 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
331 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
332 am__v_CCLD_0 = @echo " CCLD " $@;
333 am__v_CCLD_1 =
334 SOURCES = $(common_libcommon_a_SOURCES) $(igen_libigen_a_SOURCES) \
335 $(igen_filter_SOURCES) $(igen_gen_SOURCES) \
336 $(igen_igen_SOURCES) $(igen_ld_cache_SOURCES) \
337 $(igen_ld_decode_SOURCES) $(igen_ld_insn_SOURCES) \
338 $(igen_table_SOURCES) testsuite/common/alu-tst.c \
339 testsuite/common/bits-gen.c testsuite/common/bits32m0.c \
340 testsuite/common/bits32m31.c testsuite/common/bits64m0.c \
341 testsuite/common/bits64m63.c testsuite/common/fpu-tst.c
342 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
343 ctags-recursive dvi-recursive html-recursive info-recursive \
344 install-data-recursive install-dvi-recursive \
345 install-exec-recursive install-html-recursive \
346 install-info-recursive install-pdf-recursive \
347 install-ps-recursive install-recursive installcheck-recursive \
348 installdirs-recursive pdf-recursive ps-recursive \
349 tags-recursive uninstall-recursive
350 am__can_run_installinfo = \
351 case $$AM_UPDATE_INFO_DIR in \
352 n|no|NO) false;; \
353 *) (install-info --version) >/dev/null 2>&1;; \
354 esac
355 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
356 am__vpath_adj = case $$p in \
357 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
358 *) f=$$p;; \
359 esac;
360 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
361 am__install_max = 40
362 am__nobase_strip_setup = \
363 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
364 am__nobase_strip = \
365 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
366 am__nobase_list = $(am__nobase_strip_setup); \
367 for p in $$list; do echo "$$p $$p"; done | \
368 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
369 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
370 if (++n[$$2] == $(am__install_max)) \
371 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
372 END { for (dir in files) print dir, files[dir] }'
373 am__base_list = \
374 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
375 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
376 am__uninstall_files_from_dir = { \
377 test -z "$$files" \
378 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
379 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
380 $(am__cd) "$$dir" && rm -f $$files; }; \
381 }
382 am__installdirs = "$(DESTDIR)$(pkgincludedir)"
383 HEADERS = $(pkginclude_HEADERS)
384 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
385 distclean-recursive maintainer-clean-recursive
386 am__recursive_targets = \
387 $(RECURSIVE_TARGETS) \
388 $(RECURSIVE_CLEAN_TARGETS) \
389 $(am__extra_recursive_targets)
390 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
391 cscope check recheck
392 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
393 # Read a list of newline-separated strings from the standard input,
394 # and print each of them once, without duplicates. Input order is
395 # *not* preserved.
396 am__uniquify_input = $(AWK) '\
397 BEGIN { nonempty = 0; } \
398 { items[$$0] = 1; nonempty = 1; } \
399 END { if (nonempty) { for (i in items) print i; }; } \
400 '
401 # Make sure the list of sources is unique. This is necessary because,
402 # e.g., the same source file might be shared among _SOURCES variables
403 # for different programs/libraries.
404 am__define_uniq_tagged_files = \
405 list='$(am__tagged_files)'; \
406 unique=`for i in $$list; do \
407 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
408 done | $(am__uniquify_input)`
409 ETAGS = etags
410 CTAGS = ctags
411 CSCOPE = cscope
412 DEJATOOL = $(PACKAGE)
413 RUNTESTDEFAULTFLAGS = --tool $$tool --srcdir $$srcdir
414 EXPECT = expect
415 RUNTEST = runtest
416 am__tty_colors_dummy = \
417 mgn= red= grn= lgn= blu= brg= std=; \
418 am__color_tests=no
419 am__tty_colors = { \
420 $(am__tty_colors_dummy); \
421 if test "X$(AM_COLOR_TESTS)" = Xno; then \
422 am__color_tests=no; \
423 elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
424 am__color_tests=yes; \
425 elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
426 am__color_tests=yes; \
427 fi; \
428 if test $$am__color_tests = yes; then \
429 red='\e[0;31m'; \
430 grn='\e[0;32m'; \
431 lgn='\e[1;32m'; \
432 blu='\e[1;34m'; \
433 mgn='\e[0;35m'; \
434 brg='\e[1m'; \
435 std='\e[m'; \
436 fi; \
437 }
438 am__recheck_rx = ^[ ]*:recheck:[ ]*
439 am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
440 am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
441 # A command that, given a newline-separated list of test names on the
442 # standard input, print the name of the tests that are to be re-run
443 # upon "make recheck".
444 am__list_recheck_tests = $(AWK) '{ \
445 recheck = 1; \
446 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
447 { \
448 if (rc < 0) \
449 { \
450 if ((getline line2 < ($$0 ".log")) < 0) \
451 recheck = 0; \
452 break; \
453 } \
454 else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
455 { \
456 recheck = 0; \
457 break; \
458 } \
459 else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
460 { \
461 break; \
462 } \
463 }; \
464 if (recheck) \
465 print $$0; \
466 close ($$0 ".trs"); \
467 close ($$0 ".log"); \
468 }'
469 # A command that, given a newline-separated list of test names on the
470 # standard input, create the global log from their .trs and .log files.
471 am__create_global_log = $(AWK) ' \
472 function fatal(msg) \
473 { \
474 print "fatal: making $@: " msg | "cat >&2"; \
475 exit 1; \
476 } \
477 function rst_section(header) \
478 { \
479 print header; \
480 len = length(header); \
481 for (i = 1; i <= len; i = i + 1) \
482 printf "="; \
483 printf "\n\n"; \
484 } \
485 { \
486 copy_in_global_log = 1; \
487 global_test_result = "RUN"; \
488 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
489 { \
490 if (rc < 0) \
491 fatal("failed to read from " $$0 ".trs"); \
492 if (line ~ /$(am__global_test_result_rx)/) \
493 { \
494 sub("$(am__global_test_result_rx)", "", line); \
495 sub("[ ]*$$", "", line); \
496 global_test_result = line; \
497 } \
498 else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
499 copy_in_global_log = 0; \
500 }; \
501 if (copy_in_global_log) \
502 { \
503 rst_section(global_test_result ": " $$0); \
504 while ((rc = (getline line < ($$0 ".log"))) != 0) \
505 { \
506 if (rc < 0) \
507 fatal("failed to read from " $$0 ".log"); \
508 print line; \
509 }; \
510 printf "\n"; \
511 }; \
512 close ($$0 ".trs"); \
513 close ($$0 ".log"); \
514 }'
515 # Restructured Text title.
516 am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
517 # Solaris 10 'make', and several other traditional 'make' implementations,
518 # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
519 # by disabling -e (using the XSI extension "set +e") if it's set.
520 am__sh_e_setup = case $$- in *e*) set +e;; esac
521 # Default flags passed to test drivers.
522 am__common_driver_flags = \
523 --color-tests "$$am__color_tests" \
524 --enable-hard-errors "$$am__enable_hard_errors" \
525 --expect-failure "$$am__expect_failure"
526 # To be inserted before the command running the test. Creates the
527 # directory for the log if needed. Stores in $dir the directory
528 # containing $f, in $tst the test, in $log the log. Executes the
529 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
530 # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
531 # will run the test scripts (or their associated LOG_COMPILER, if
532 # thy have one).
533 am__check_pre = \
534 $(am__sh_e_setup); \
535 $(am__vpath_adj_setup) $(am__vpath_adj) \
536 $(am__tty_colors); \
537 srcdir=$(srcdir); export srcdir; \
538 case "$@" in \
539 */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
540 *) am__odir=.;; \
541 esac; \
542 test "x$$am__odir" = x"." || test -d "$$am__odir" \
543 || $(MKDIR_P) "$$am__odir" || exit $$?; \
544 if test -f "./$$f"; then dir=./; \
545 elif test -f "$$f"; then dir=; \
546 else dir="$(srcdir)/"; fi; \
547 tst=$$dir$$f; log='$@'; \
548 if test -n '$(DISABLE_HARD_ERRORS)'; then \
549 am__enable_hard_errors=no; \
550 else \
551 am__enable_hard_errors=yes; \
552 fi; \
553 case " $(XFAIL_TESTS) " in \
554 *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
555 am__expect_failure=yes;; \
556 *) \
557 am__expect_failure=no;; \
558 esac; \
559 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
560 # A shell command to get the names of the tests scripts with any registered
561 # extension removed (i.e., equivalently, the names of the test logs, with
562 # the '.log' extension removed). The result is saved in the shell variable
563 # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
564 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
565 # since that might cause problem with VPATH rewrites for suffix-less tests.
566 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
567 am__set_TESTS_bases = \
568 bases='$(TEST_LOGS)'; \
569 bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
570 bases=`echo $$bases`
571 RECHECK_LOGS = $(TEST_LOGS)
572 TEST_SUITE_LOG = test-suite.log
573 TEST_EXTENSIONS = @EXEEXT@ .test
574 LOG_DRIVER = $(SHELL) $(top_srcdir)/../test-driver
575 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
576 am__set_b = \
577 case '$@' in \
578 */*) \
579 case '$*' in \
580 */*) b='$*';; \
581 *) b=`echo '$@' | sed 's/\.log$$//'`; \
582 esac;; \
583 *) \
584 b='$*';; \
585 esac
586 am__test_logs1 = $(TESTS:=.log)
587 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
588 TEST_LOGS = $(am__test_logs2:.test.log=.log)
589 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/../test-driver
590 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
591 $(TEST_LOG_FLAGS)
592 DIST_SUBDIRS = $(SUBDIRS)
593 ACLOCAL = @ACLOCAL@
594 AMTAR = @AMTAR@
595 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
596 AR = @AR@
597 AR_FOR_BUILD = @AR_FOR_BUILD@
598 AUTOCONF = @AUTOCONF@
599 AUTOHEADER = @AUTOHEADER@
600 AUTOMAKE = @AUTOMAKE@
601 AWK = @AWK@
602 CC = @CC@
603 CCDEPMODE = @CCDEPMODE@
604 CC_FOR_BUILD = @CC_FOR_BUILD@
605 CFLAGS = @CFLAGS@
606 CFLAGS_FOR_BUILD = @CFLAGS_FOR_BUILD@
607 CPP = @CPP@
608 CPPFLAGS = @CPPFLAGS@
609 CYGPATH_W = @CYGPATH_W@
610 C_DIALECT = @C_DIALECT@
611 DEFS = @DEFS@
612 DEPDIR = @DEPDIR@
613 ECHO_C = @ECHO_C@
614 ECHO_N = @ECHO_N@
615 ECHO_T = @ECHO_T@
616 EGREP = @EGREP@
617 EXEEXT = @EXEEXT@
618 GREP = @GREP@
619 INSTALL = @INSTALL@
620 INSTALL_DATA = @INSTALL_DATA@
621 INSTALL_PROGRAM = @INSTALL_PROGRAM@
622 INSTALL_SCRIPT = @INSTALL_SCRIPT@
623 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
624 LDFLAGS = @LDFLAGS@
625 LDFLAGS_FOR_BUILD = @LDFLAGS_FOR_BUILD@
626 LIBOBJS = @LIBOBJS@
627 LIBS = @LIBS@
628 LTLIBOBJS = @LTLIBOBJS@
629 MAINT = @MAINT@
630 MAKEINFO = @MAKEINFO@
631 MKDIR_P = @MKDIR_P@
632 OBJEXT = @OBJEXT@
633 PACKAGE = @PACKAGE@
634 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
635 PACKAGE_NAME = @PACKAGE_NAME@
636 PACKAGE_STRING = @PACKAGE_STRING@
637 PACKAGE_TARNAME = @PACKAGE_TARNAME@
638 PACKAGE_URL = @PACKAGE_URL@
639 PACKAGE_VERSION = @PACKAGE_VERSION@
640 PATH_SEPARATOR = @PATH_SEPARATOR@
641 RANLIB = @RANLIB@
642 RANLIB_FOR_BUILD = @RANLIB_FOR_BUILD@
643 SET_MAKE = @SET_MAKE@
644 SHELL = @SHELL@
645 SIM_PRIMARY_TARGET = @SIM_PRIMARY_TARGET@
646 STRIP = @STRIP@
647 VERSION = @VERSION@
648 abs_builddir = @abs_builddir@
649 abs_srcdir = @abs_srcdir@
650 abs_top_builddir = @abs_top_builddir@
651 abs_top_srcdir = @abs_top_srcdir@
652 ac_ct_CC = @ac_ct_CC@
653 am__include = @am__include@
654 am__leading_dot = @am__leading_dot@
655 am__quote = @am__quote@
656 am__tar = @am__tar@
657 am__untar = @am__untar@
658 bindir = @bindir@
659 build = @build@
660 build_alias = @build_alias@
661 build_cpu = @build_cpu@
662 build_os = @build_os@
663 build_vendor = @build_vendor@
664 builddir = @builddir@
665 datadir = @datadir@
666 datarootdir = @datarootdir@
667 docdir = @docdir@
668 dvidir = @dvidir@
669 exec_prefix = @exec_prefix@
670 host = @host@
671 host_alias = @host_alias@
672 host_cpu = @host_cpu@
673 host_os = @host_os@
674 host_vendor = @host_vendor@
675 htmldir = @htmldir@
676 includedir = @includedir@
677 infodir = @infodir@
678 install_sh = @install_sh@
679 libdir = @libdir@
680 libexecdir = @libexecdir@
681 localedir = @localedir@
682 localstatedir = @localstatedir@
683 mandir = @mandir@
684 mkdir_p = @mkdir_p@
685 oldincludedir = @oldincludedir@
686 pdfdir = @pdfdir@
687 prefix = @prefix@
688 program_transform_name = @program_transform_name@
689 psdir = @psdir@
690 sbindir = @sbindir@
691 sharedstatedir = @sharedstatedir@
692 srcdir = @srcdir@
693 subdirs = @subdirs@
694 sysconfdir = @sysconfdir@
695 target = @target@
696 target_alias = @target_alias@
697 target_cpu = @target_cpu@
698 target_os = @target_os@
699 target_vendor = @target_vendor@
700 top_build_prefix = @top_build_prefix@
701 top_builddir = @top_builddir@
702 top_srcdir = @top_srcdir@
703 AUTOMAKE_OPTIONS = dejagnu foreign no-dist subdir-objects
704 ACLOCAL_AMFLAGS = -Im4 -I.. -I../config
705 srcroot = $(srcdir)/..
706 SUBDIRS = @subdirs@
707 AM_MAKEFLAGS = SIM_PRIMARY_TARGET=$(SIM_PRIMARY_TARGET)
708
709 # NB: libcommon.a isn't used directly by ports. We need a target for common
710 # objects to be a part of, and ports use the individual objects directly.
711 noinst_LIBRARIES = common/libcommon.a $(am__append_2)
712 CLEANFILES = testsuite/common/bits-gen testsuite/common/bits32m0.c \
713 testsuite/common/bits32m31.c testsuite/common/bits64m0.c \
714 testsuite/common/bits64m63.c
715 DISTCLEANFILES =
716 MOSTLYCLEANFILES = core $(am__append_4) site-srcdir.exp testrun.log \
717 testrun.sum
718 AM_CPPFLAGS = -I$(srcroot)/include -I$(srcdir)/common
719 COMPILE_FOR_BUILD = $(CC_FOR_BUILD) $(AM_CPPFLAGS) $(CFLAGS_FOR_BUILD)
720 LINK_FOR_BUILD = $(CC_FOR_BUILD) $(CFLAGS_FOR_BUILD) $(LDFLAGS_FOR_BUILD) -o $@
721
722 # Deps to add to the all-recursive target. These are built before descending
723 # into any subdirs.
724
725 # This makes sure common parts are available before building the arch-subdirs
726 # which will refer to these.
727 SIM_ALL_RECURSIVE_DEPS = common/libcommon.a $(am__append_1)
728 pkginclude_HEADERS = \
729 $(srcroot)/include/sim/callback.h \
730 $(srcroot)/include/sim/sim.h
731
732 common_libcommon_a_SOURCES = \
733 common/version.c
734
735 @SIM_ENABLE_IGEN_TRUE@igen_libigen_a_SOURCES = \
736 @SIM_ENABLE_IGEN_TRUE@ igen/table.c \
737 @SIM_ENABLE_IGEN_TRUE@ igen/lf.c \
738 @SIM_ENABLE_IGEN_TRUE@ igen/misc.c \
739 @SIM_ENABLE_IGEN_TRUE@ igen/filter_host.c \
740 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode.c \
741 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache.c \
742 @SIM_ENABLE_IGEN_TRUE@ igen/filter.c \
743 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn.c \
744 @SIM_ENABLE_IGEN_TRUE@ igen/gen-model.c \
745 @SIM_ENABLE_IGEN_TRUE@ igen/gen-itable.c \
746 @SIM_ENABLE_IGEN_TRUE@ igen/gen-icache.c \
747 @SIM_ENABLE_IGEN_TRUE@ igen/gen-semantics.c \
748 @SIM_ENABLE_IGEN_TRUE@ igen/gen-idecode.c \
749 @SIM_ENABLE_IGEN_TRUE@ igen/gen-support.c \
750 @SIM_ENABLE_IGEN_TRUE@ igen/gen-engine.c \
751 @SIM_ENABLE_IGEN_TRUE@ igen/gen.c
752
753 @SIM_ENABLE_IGEN_TRUE@igen_igen_SOURCES = igen/igen.c
754 @SIM_ENABLE_IGEN_TRUE@igen_igen_LDADD = igen/libigen.a
755 @SIM_ENABLE_IGEN_TRUE@igen_filter_SOURCES =
756 @SIM_ENABLE_IGEN_TRUE@igen_filter_LDADD = igen/filter-main.o igen/libigen.a
757 @SIM_ENABLE_IGEN_TRUE@igen_gen_SOURCES =
758 @SIM_ENABLE_IGEN_TRUE@igen_gen_LDADD = igen/gen-main.o igen/libigen.a
759 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_SOURCES =
760 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_LDADD = igen/ld-cache-main.o igen/libigen.a
761 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_SOURCES =
762 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_LDADD = igen/ld-decode-main.o igen/libigen.a
763 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_SOURCES =
764 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_LDADD = igen/ld-insn-main.o igen/libigen.a
765 @SIM_ENABLE_IGEN_TRUE@igen_table_SOURCES =
766 @SIM_ENABLE_IGEN_TRUE@igen_table_LDADD = igen/table-main.o igen/libigen.a
767 @SIM_ENABLE_IGEN_TRUE@igen_IGEN_TOOLS = \
768 @SIM_ENABLE_IGEN_TRUE@ igen/igen \
769 @SIM_ENABLE_IGEN_TRUE@ igen/filter \
770 @SIM_ENABLE_IGEN_TRUE@ igen/gen \
771 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache \
772 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode \
773 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn \
774 @SIM_ENABLE_IGEN_TRUE@ igen/table
775
776
777 # Tweak the site.exp so it works with plain `runtest` from user.
778 EXTRA_DEJAGNU_SITE_CONFIG = site-srcdir.exp
779 testsuite_common_CPPFLAGS = \
780 -I$(srcdir)/common \
781 -I$(srcroot)/include \
782 -I../bfd
783
784 all: all-recursive
785
786 .SUFFIXES:
787 .SUFFIXES: .c .log .o .obj .test .test$(EXEEXT) .trs
788 am--refresh: Makefile
789 @:
790 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/common/local.mk $(srcdir)/igen/local.mk $(srcdir)/testsuite/local.mk $(srcdir)/testsuite/common/local.mk $(am__configure_deps)
791 @for dep in $?; do \
792 case '$(am__configure_deps)' in \
793 *$$dep*) \
794 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
795 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
796 && exit 0; \
797 exit 1;; \
798 esac; \
799 done; \
800 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
801 $(am__cd) $(top_srcdir) && \
802 $(AUTOMAKE) --foreign Makefile
803 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
804 @case '$?' in \
805 *config.status*) \
806 echo ' $(SHELL) ./config.status'; \
807 $(SHELL) ./config.status;; \
808 *) \
809 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
810 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
811 esac;
812 $(srcdir)/common/local.mk $(srcdir)/igen/local.mk $(srcdir)/testsuite/local.mk $(srcdir)/testsuite/common/local.mk $(am__empty):
813
814 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
815 $(SHELL) ./config.status --recheck
816
817 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
818 $(am__cd) $(srcdir) && $(AUTOCONF)
819 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
820 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
821 $(am__aclocal_m4_deps):
822
823 clean-noinstLIBRARIES:
824 -test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
825 common/$(am__dirstamp):
826 @$(MKDIR_P) common
827 @: > common/$(am__dirstamp)
828 common/$(DEPDIR)/$(am__dirstamp):
829 @$(MKDIR_P) common/$(DEPDIR)
830 @: > common/$(DEPDIR)/$(am__dirstamp)
831 common/version.$(OBJEXT): common/$(am__dirstamp) \
832 common/$(DEPDIR)/$(am__dirstamp)
833
834 common/libcommon.a: $(common_libcommon_a_OBJECTS) $(common_libcommon_a_DEPENDENCIES) $(EXTRA_common_libcommon_a_DEPENDENCIES) common/$(am__dirstamp)
835 $(AM_V_at)-rm -f common/libcommon.a
836 $(AM_V_AR)$(common_libcommon_a_AR) common/libcommon.a $(common_libcommon_a_OBJECTS) $(common_libcommon_a_LIBADD)
837 $(AM_V_at)$(RANLIB) common/libcommon.a
838 igen/$(am__dirstamp):
839 @$(MKDIR_P) igen
840 @: > igen/$(am__dirstamp)
841 igen/$(DEPDIR)/$(am__dirstamp):
842 @$(MKDIR_P) igen/$(DEPDIR)
843 @: > igen/$(DEPDIR)/$(am__dirstamp)
844 igen/table.$(OBJEXT): igen/$(am__dirstamp) \
845 igen/$(DEPDIR)/$(am__dirstamp)
846 igen/lf.$(OBJEXT): igen/$(am__dirstamp) igen/$(DEPDIR)/$(am__dirstamp)
847 igen/misc.$(OBJEXT): igen/$(am__dirstamp) \
848 igen/$(DEPDIR)/$(am__dirstamp)
849 igen/filter_host.$(OBJEXT): igen/$(am__dirstamp) \
850 igen/$(DEPDIR)/$(am__dirstamp)
851 igen/ld-decode.$(OBJEXT): igen/$(am__dirstamp) \
852 igen/$(DEPDIR)/$(am__dirstamp)
853 igen/ld-cache.$(OBJEXT): igen/$(am__dirstamp) \
854 igen/$(DEPDIR)/$(am__dirstamp)
855 igen/filter.$(OBJEXT): igen/$(am__dirstamp) \
856 igen/$(DEPDIR)/$(am__dirstamp)
857 igen/ld-insn.$(OBJEXT): igen/$(am__dirstamp) \
858 igen/$(DEPDIR)/$(am__dirstamp)
859 igen/gen-model.$(OBJEXT): igen/$(am__dirstamp) \
860 igen/$(DEPDIR)/$(am__dirstamp)
861 igen/gen-itable.$(OBJEXT): igen/$(am__dirstamp) \
862 igen/$(DEPDIR)/$(am__dirstamp)
863 igen/gen-icache.$(OBJEXT): igen/$(am__dirstamp) \
864 igen/$(DEPDIR)/$(am__dirstamp)
865 igen/gen-semantics.$(OBJEXT): igen/$(am__dirstamp) \
866 igen/$(DEPDIR)/$(am__dirstamp)
867 igen/gen-idecode.$(OBJEXT): igen/$(am__dirstamp) \
868 igen/$(DEPDIR)/$(am__dirstamp)
869 igen/gen-support.$(OBJEXT): igen/$(am__dirstamp) \
870 igen/$(DEPDIR)/$(am__dirstamp)
871 igen/gen-engine.$(OBJEXT): igen/$(am__dirstamp) \
872 igen/$(DEPDIR)/$(am__dirstamp)
873 igen/gen.$(OBJEXT): igen/$(am__dirstamp) \
874 igen/$(DEPDIR)/$(am__dirstamp)
875
876 @SIM_ENABLE_IGEN_FALSE@igen/libigen.a: $(igen_libigen_a_OBJECTS) $(igen_libigen_a_DEPENDENCIES) $(EXTRA_igen_libigen_a_DEPENDENCIES) igen/$(am__dirstamp)
877 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_at)-rm -f igen/libigen.a
878 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_AR)$(igen_libigen_a_AR) igen/libigen.a $(igen_libigen_a_OBJECTS) $(igen_libigen_a_LIBADD)
879 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_at)$(RANLIB) igen/libigen.a
880
881 clean-checkPROGRAMS:
882 -test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
883
884 igen/filter$(EXEEXT): $(igen_filter_OBJECTS) $(igen_filter_DEPENDENCIES) $(EXTRA_igen_filter_DEPENDENCIES) igen/$(am__dirstamp)
885 @rm -f igen/filter$(EXEEXT)
886 $(AM_V_CCLD)$(LINK) $(igen_filter_OBJECTS) $(igen_filter_LDADD) $(LIBS)
887
888 igen/gen$(EXEEXT): $(igen_gen_OBJECTS) $(igen_gen_DEPENDENCIES) $(EXTRA_igen_gen_DEPENDENCIES) igen/$(am__dirstamp)
889 @rm -f igen/gen$(EXEEXT)
890 $(AM_V_CCLD)$(LINK) $(igen_gen_OBJECTS) $(igen_gen_LDADD) $(LIBS)
891 igen/igen.$(OBJEXT): igen/$(am__dirstamp) \
892 igen/$(DEPDIR)/$(am__dirstamp)
893
894 @SIM_ENABLE_IGEN_FALSE@igen/igen$(EXEEXT): $(igen_igen_OBJECTS) $(igen_igen_DEPENDENCIES) $(EXTRA_igen_igen_DEPENDENCIES) igen/$(am__dirstamp)
895 @SIM_ENABLE_IGEN_FALSE@ @rm -f igen/igen$(EXEEXT)
896 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_CCLD)$(LINK) $(igen_igen_OBJECTS) $(igen_igen_LDADD) $(LIBS)
897
898 igen/ld-cache$(EXEEXT): $(igen_ld_cache_OBJECTS) $(igen_ld_cache_DEPENDENCIES) $(EXTRA_igen_ld_cache_DEPENDENCIES) igen/$(am__dirstamp)
899 @rm -f igen/ld-cache$(EXEEXT)
900 $(AM_V_CCLD)$(LINK) $(igen_ld_cache_OBJECTS) $(igen_ld_cache_LDADD) $(LIBS)
901
902 igen/ld-decode$(EXEEXT): $(igen_ld_decode_OBJECTS) $(igen_ld_decode_DEPENDENCIES) $(EXTRA_igen_ld_decode_DEPENDENCIES) igen/$(am__dirstamp)
903 @rm -f igen/ld-decode$(EXEEXT)
904 $(AM_V_CCLD)$(LINK) $(igen_ld_decode_OBJECTS) $(igen_ld_decode_LDADD) $(LIBS)
905
906 igen/ld-insn$(EXEEXT): $(igen_ld_insn_OBJECTS) $(igen_ld_insn_DEPENDENCIES) $(EXTRA_igen_ld_insn_DEPENDENCIES) igen/$(am__dirstamp)
907 @rm -f igen/ld-insn$(EXEEXT)
908 $(AM_V_CCLD)$(LINK) $(igen_ld_insn_OBJECTS) $(igen_ld_insn_LDADD) $(LIBS)
909
910 igen/table$(EXEEXT): $(igen_table_OBJECTS) $(igen_table_DEPENDENCIES) $(EXTRA_igen_table_DEPENDENCIES) igen/$(am__dirstamp)
911 @rm -f igen/table$(EXEEXT)
912 $(AM_V_CCLD)$(LINK) $(igen_table_OBJECTS) $(igen_table_LDADD) $(LIBS)
913 testsuite/common/$(am__dirstamp):
914 @$(MKDIR_P) testsuite/common
915 @: > testsuite/common/$(am__dirstamp)
916 testsuite/common/$(DEPDIR)/$(am__dirstamp):
917 @$(MKDIR_P) testsuite/common/$(DEPDIR)
918 @: > testsuite/common/$(DEPDIR)/$(am__dirstamp)
919 testsuite/common/alu-tst.$(OBJEXT): testsuite/common/$(am__dirstamp) \
920 testsuite/common/$(DEPDIR)/$(am__dirstamp)
921 testsuite/common/bits-gen.$(OBJEXT): testsuite/common/$(am__dirstamp) \
922 testsuite/common/$(DEPDIR)/$(am__dirstamp)
923 testsuite/common/bits32m0.$(OBJEXT): testsuite/common/$(am__dirstamp) \
924 testsuite/common/$(DEPDIR)/$(am__dirstamp)
925 testsuite/common/bits32m31.$(OBJEXT): \
926 testsuite/common/$(am__dirstamp) \
927 testsuite/common/$(DEPDIR)/$(am__dirstamp)
928 testsuite/common/bits64m0.$(OBJEXT): testsuite/common/$(am__dirstamp) \
929 testsuite/common/$(DEPDIR)/$(am__dirstamp)
930 testsuite/common/bits64m63.$(OBJEXT): \
931 testsuite/common/$(am__dirstamp) \
932 testsuite/common/$(DEPDIR)/$(am__dirstamp)
933 testsuite/common/fpu-tst.$(OBJEXT): testsuite/common/$(am__dirstamp) \
934 testsuite/common/$(DEPDIR)/$(am__dirstamp)
935
936 mostlyclean-compile:
937 -rm -f *.$(OBJEXT)
938 -rm -f common/*.$(OBJEXT)
939 -rm -f igen/*.$(OBJEXT)
940 -rm -f testsuite/common/*.$(OBJEXT)
941
942 distclean-compile:
943 -rm -f *.tab.c
944
945 @AMDEP_TRUE@@am__include@ @am__quote@common/$(DEPDIR)/version.Po@am__quote@
946 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/filter.Po@am__quote@
947 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/filter_host.Po@am__quote@
948 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-engine.Po@am__quote@
949 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-icache.Po@am__quote@
950 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-idecode.Po@am__quote@
951 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-itable.Po@am__quote@
952 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-model.Po@am__quote@
953 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-semantics.Po@am__quote@
954 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-support.Po@am__quote@
955 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen.Po@am__quote@
956 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/igen.Po@am__quote@
957 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-cache.Po@am__quote@
958 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-decode.Po@am__quote@
959 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-insn.Po@am__quote@
960 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/lf.Po@am__quote@
961 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/misc.Po@am__quote@
962 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/table.Po@am__quote@
963 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/alu-tst.Po@am__quote@
964 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits-gen.Po@am__quote@
965 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits32m0.Po@am__quote@
966 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits32m31.Po@am__quote@
967 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits64m0.Po@am__quote@
968 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits64m63.Po@am__quote@
969 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/fpu-tst.Po@am__quote@
970
971 .c.o:
972 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
973 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
974 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
975 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
976 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
977 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
978
979 .c.obj:
980 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
981 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
982 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
983 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
984 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
985 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
986 install-pkgincludeHEADERS: $(pkginclude_HEADERS)
987 @$(NORMAL_INSTALL)
988 @list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
989 if test -n "$$list"; then \
990 echo " $(MKDIR_P) '$(DESTDIR)$(pkgincludedir)'"; \
991 $(MKDIR_P) "$(DESTDIR)$(pkgincludedir)" || exit 1; \
992 fi; \
993 for p in $$list; do \
994 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
995 echo "$$d$$p"; \
996 done | $(am__base_list) | \
997 while read files; do \
998 echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(pkgincludedir)'"; \
999 $(INSTALL_HEADER) $$files "$(DESTDIR)$(pkgincludedir)" || exit $$?; \
1000 done
1001
1002 uninstall-pkgincludeHEADERS:
1003 @$(NORMAL_UNINSTALL)
1004 @list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
1005 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1006 dir='$(DESTDIR)$(pkgincludedir)'; $(am__uninstall_files_from_dir)
1007
1008 # This directory's subdirectories are mostly independent; you can cd
1009 # into them and run 'make' without going through this Makefile.
1010 # To change the values of 'make' variables: instead of editing Makefiles,
1011 # (1) if the variable is set in 'config.status', edit 'config.status'
1012 # (which will cause the Makefiles to be regenerated when you run 'make');
1013 # (2) otherwise, pass the desired values on the 'make' command line.
1014 $(am__recursive_targets):
1015 @fail=; \
1016 if $(am__make_keepgoing); then \
1017 failcom='fail=yes'; \
1018 else \
1019 failcom='exit 1'; \
1020 fi; \
1021 dot_seen=no; \
1022 target=`echo $@ | sed s/-recursive//`; \
1023 case "$@" in \
1024 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
1025 *) list='$(SUBDIRS)' ;; \
1026 esac; \
1027 for subdir in $$list; do \
1028 echo "Making $$target in $$subdir"; \
1029 if test "$$subdir" = "."; then \
1030 dot_seen=yes; \
1031 local_target="$$target-am"; \
1032 else \
1033 local_target="$$target"; \
1034 fi; \
1035 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
1036 || eval $$failcom; \
1037 done; \
1038 if test "$$dot_seen" = "no"; then \
1039 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
1040 fi; test -z "$$fail"
1041
1042 ID: $(am__tagged_files)
1043 $(am__define_uniq_tagged_files); mkid -fID $$unique
1044 tags: tags-recursive
1045 TAGS: tags
1046
1047 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1048 set x; \
1049 here=`pwd`; \
1050 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
1051 include_option=--etags-include; \
1052 empty_fix=.; \
1053 else \
1054 include_option=--include; \
1055 empty_fix=; \
1056 fi; \
1057 list='$(SUBDIRS)'; for subdir in $$list; do \
1058 if test "$$subdir" = .; then :; else \
1059 test ! -f $$subdir/TAGS || \
1060 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
1061 fi; \
1062 done; \
1063 $(am__define_uniq_tagged_files); \
1064 shift; \
1065 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1066 test -n "$$unique" || unique=$$empty_fix; \
1067 if test $$# -gt 0; then \
1068 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1069 "$$@" $$unique; \
1070 else \
1071 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1072 $$unique; \
1073 fi; \
1074 fi
1075 ctags: ctags-recursive
1076
1077 CTAGS: ctags
1078 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1079 $(am__define_uniq_tagged_files); \
1080 test -z "$(CTAGS_ARGS)$$unique" \
1081 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1082 $$unique
1083
1084 GTAGS:
1085 here=`$(am__cd) $(top_builddir) && pwd` \
1086 && $(am__cd) $(top_srcdir) \
1087 && gtags -i $(GTAGS_ARGS) "$$here"
1088 cscope: cscope.files
1089 test ! -s cscope.files \
1090 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
1091 clean-cscope:
1092 -rm -f cscope.files
1093 cscope.files: clean-cscope cscopelist
1094 cscopelist: cscopelist-recursive
1095
1096 cscopelist-am: $(am__tagged_files)
1097 list='$(am__tagged_files)'; \
1098 case "$(srcdir)" in \
1099 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1100 *) sdir=$(subdir)/$(srcdir) ;; \
1101 esac; \
1102 for i in $$list; do \
1103 if test -f "$$i"; then \
1104 echo "$(subdir)/$$i"; \
1105 else \
1106 echo "$$sdir/$$i"; \
1107 fi; \
1108 done >> $(top_builddir)/cscope.files
1109
1110 distclean-tags:
1111 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1112 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
1113 site.exp: Makefile $(EXTRA_DEJAGNU_SITE_CONFIG)
1114 @echo 'Making a new site.exp file ...'
1115 @echo '## these variables are automatically generated by make ##' >site.tmp
1116 @echo '# Do not edit here. If you wish to override these values' >>site.tmp
1117 @echo '# edit the last section' >>site.tmp
1118 @echo 'set srcdir "$(srcdir)"' >>site.tmp
1119 @echo "set objdir `pwd`" >>site.tmp
1120 @echo 'set build_alias "$(build_alias)"' >>site.tmp
1121 @echo 'set build_triplet $(build_triplet)' >>site.tmp
1122 @echo 'set host_alias "$(host_alias)"' >>site.tmp
1123 @echo 'set host_triplet $(host_triplet)' >>site.tmp
1124 @echo 'set target_alias "$(target_alias)"' >>site.tmp
1125 @echo 'set target_triplet $(target_triplet)' >>site.tmp
1126 @list='$(EXTRA_DEJAGNU_SITE_CONFIG)'; for f in $$list; do \
1127 echo "## Begin content included from file $$f. Do not modify. ##" \
1128 && cat `test -f "$$f" || echo '$(srcdir)/'`$$f \
1129 && echo "## End content included from file $$f. ##" \
1130 || exit 1; \
1131 done >> site.tmp
1132 @echo "## End of auto-generated content; you can edit from here. ##" >> site.tmp
1133 @if test -f site.exp; then \
1134 sed -e '1,/^## End of auto-generated content.*##/d' site.exp >> site.tmp; \
1135 fi
1136 @-rm -f site.bak
1137 @test ! -f site.exp || mv site.exp site.bak
1138 @mv site.tmp site.exp
1139
1140 distclean-DEJAGNU:
1141 -rm -f site.exp site.bak
1142 -l='$(DEJATOOL)'; for tool in $$l; do \
1143 rm -f $$tool.sum $$tool.log; \
1144 done
1145
1146 # Recover from deleted '.trs' file; this should ensure that
1147 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1148 # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
1149 # to avoid problems with "make -n".
1150 .log.trs:
1151 rm -f $< $@
1152 $(MAKE) $(AM_MAKEFLAGS) $<
1153
1154 # Leading 'am--fnord' is there to ensure the list of targets does not
1155 # expand to empty, as could happen e.g. with make check TESTS=''.
1156 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1157 am--force-recheck:
1158 @:
1159
1160 $(TEST_SUITE_LOG): $(TEST_LOGS)
1161 @$(am__set_TESTS_bases); \
1162 am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1163 redo_bases=`for i in $$bases; do \
1164 am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1165 done`; \
1166 if test -n "$$redo_bases"; then \
1167 redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1168 redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1169 if $(am__make_dryrun); then :; else \
1170 rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1171 fi; \
1172 fi; \
1173 if test -n "$$am__remaking_logs"; then \
1174 echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1175 "recursion detected" >&2; \
1176 elif test -n "$$redo_logs"; then \
1177 am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1178 fi; \
1179 if $(am__make_dryrun); then :; else \
1180 st=0; \
1181 errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1182 for i in $$redo_bases; do \
1183 test -f $$i.trs && test -r $$i.trs \
1184 || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1185 test -f $$i.log && test -r $$i.log \
1186 || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1187 done; \
1188 test $$st -eq 0 || exit 1; \
1189 fi
1190 @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1191 ws='[ ]'; \
1192 results=`for b in $$bases; do echo $$b.trs; done`; \
1193 test -n "$$results" || results=/dev/null; \
1194 all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
1195 pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
1196 fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
1197 skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
1198 xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1199 xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1200 error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1201 if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1202 success=true; \
1203 else \
1204 success=false; \
1205 fi; \
1206 br='==================='; br=$$br$$br$$br$$br; \
1207 result_count () \
1208 { \
1209 if test x"$$1" = x"--maybe-color"; then \
1210 maybe_colorize=yes; \
1211 elif test x"$$1" = x"--no-color"; then \
1212 maybe_colorize=no; \
1213 else \
1214 echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1215 fi; \
1216 shift; \
1217 desc=$$1 count=$$2; \
1218 if test $$maybe_colorize = yes && test $$count -gt 0; then \
1219 color_start=$$3 color_end=$$std; \
1220 else \
1221 color_start= color_end=; \
1222 fi; \
1223 echo "$${color_start}# $$desc $$count$${color_end}"; \
1224 }; \
1225 create_testsuite_report () \
1226 { \
1227 result_count $$1 "TOTAL:" $$all "$$brg"; \
1228 result_count $$1 "PASS: " $$pass "$$grn"; \
1229 result_count $$1 "SKIP: " $$skip "$$blu"; \
1230 result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1231 result_count $$1 "FAIL: " $$fail "$$red"; \
1232 result_count $$1 "XPASS:" $$xpass "$$red"; \
1233 result_count $$1 "ERROR:" $$error "$$mgn"; \
1234 }; \
1235 { \
1236 echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
1237 $(am__rst_title); \
1238 create_testsuite_report --no-color; \
1239 echo; \
1240 echo ".. contents:: :depth: 2"; \
1241 echo; \
1242 for b in $$bases; do echo $$b; done \
1243 | $(am__create_global_log); \
1244 } >$(TEST_SUITE_LOG).tmp || exit 1; \
1245 mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
1246 if $$success; then \
1247 col="$$grn"; \
1248 else \
1249 col="$$red"; \
1250 test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
1251 fi; \
1252 echo "$${col}$$br$${std}"; \
1253 echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \
1254 echo "$${col}$$br$${std}"; \
1255 create_testsuite_report --maybe-color; \
1256 echo "$$col$$br$$std"; \
1257 if $$success; then :; else \
1258 echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
1259 if test -n "$(PACKAGE_BUGREPORT)"; then \
1260 echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1261 fi; \
1262 echo "$$col$$br$$std"; \
1263 fi; \
1264 $$success || exit 1
1265
1266 check-TESTS:
1267 @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
1268 @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1269 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1270 @set +e; $(am__set_TESTS_bases); \
1271 log_list=`for i in $$bases; do echo $$i.log; done`; \
1272 trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1273 log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1274 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1275 exit $$?;
1276 recheck: all $(check_PROGRAMS)
1277 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1278 @set +e; $(am__set_TESTS_bases); \
1279 bases=`for i in $$bases; do echo $$i; done \
1280 | $(am__list_recheck_tests)` || exit 1; \
1281 log_list=`for i in $$bases; do echo $$i.log; done`; \
1282 log_list=`echo $$log_list`; \
1283 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1284 am__force_recheck=am--force-recheck \
1285 TEST_LOGS="$$log_list"; \
1286 exit $$?
1287 testsuite/common/bits32m0.log: testsuite/common/bits32m0$(EXEEXT)
1288 @p='testsuite/common/bits32m0$(EXEEXT)'; \
1289 b='testsuite/common/bits32m0'; \
1290 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1291 --log-file $$b.log --trs-file $$b.trs \
1292 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1293 "$$tst" $(AM_TESTS_FD_REDIRECT)
1294 testsuite/common/bits32m31.log: testsuite/common/bits32m31$(EXEEXT)
1295 @p='testsuite/common/bits32m31$(EXEEXT)'; \
1296 b='testsuite/common/bits32m31'; \
1297 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1298 --log-file $$b.log --trs-file $$b.trs \
1299 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1300 "$$tst" $(AM_TESTS_FD_REDIRECT)
1301 testsuite/common/bits64m0.log: testsuite/common/bits64m0$(EXEEXT)
1302 @p='testsuite/common/bits64m0$(EXEEXT)'; \
1303 b='testsuite/common/bits64m0'; \
1304 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1305 --log-file $$b.log --trs-file $$b.trs \
1306 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1307 "$$tst" $(AM_TESTS_FD_REDIRECT)
1308 testsuite/common/bits64m63.log: testsuite/common/bits64m63$(EXEEXT)
1309 @p='testsuite/common/bits64m63$(EXEEXT)'; \
1310 b='testsuite/common/bits64m63'; \
1311 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1312 --log-file $$b.log --trs-file $$b.trs \
1313 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1314 "$$tst" $(AM_TESTS_FD_REDIRECT)
1315 testsuite/common/alu-tst.log: testsuite/common/alu-tst$(EXEEXT)
1316 @p='testsuite/common/alu-tst$(EXEEXT)'; \
1317 b='testsuite/common/alu-tst'; \
1318 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1319 --log-file $$b.log --trs-file $$b.trs \
1320 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1321 "$$tst" $(AM_TESTS_FD_REDIRECT)
1322 .test.log:
1323 @p='$<'; \
1324 $(am__set_b); \
1325 $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1326 --log-file $$b.log --trs-file $$b.trs \
1327 $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1328 "$$tst" $(AM_TESTS_FD_REDIRECT)
1329 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
1330 @am__EXEEXT_TRUE@ @p='$<'; \
1331 @am__EXEEXT_TRUE@ $(am__set_b); \
1332 @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1333 @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
1334 @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1335 @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
1336 check-am: all-am
1337 $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1338 $(MAKE) $(AM_MAKEFLAGS) check-DEJAGNU check-TESTS
1339 check: check-recursive
1340 all-am: Makefile $(LIBRARIES) $(HEADERS)
1341 installdirs: installdirs-recursive
1342 installdirs-am:
1343 for dir in "$(DESTDIR)$(pkgincludedir)"; do \
1344 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1345 done
1346 install: install-recursive
1347 install-exec: install-exec-recursive
1348 install-data: install-data-recursive
1349 uninstall: uninstall-recursive
1350
1351 install-am: all-am
1352 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1353
1354 installcheck: installcheck-recursive
1355 install-strip:
1356 if test -z '$(STRIP)'; then \
1357 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1358 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1359 install; \
1360 else \
1361 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1362 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1363 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1364 fi
1365 mostlyclean-generic:
1366 -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
1367 -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1368 -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1369 -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1370
1371 clean-generic:
1372 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1373
1374 distclean-generic:
1375 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1376 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1377 -rm -f common/$(DEPDIR)/$(am__dirstamp)
1378 -rm -f common/$(am__dirstamp)
1379 -rm -f igen/$(DEPDIR)/$(am__dirstamp)
1380 -rm -f igen/$(am__dirstamp)
1381 -rm -f testsuite/common/$(DEPDIR)/$(am__dirstamp)
1382 -rm -f testsuite/common/$(am__dirstamp)
1383 -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
1384
1385 maintainer-clean-generic:
1386 @echo "This command is intended for maintainers to use"
1387 @echo "it deletes files that may require special tools to rebuild."
1388 clean: clean-recursive
1389
1390 clean-am: clean-checkPROGRAMS clean-generic clean-noinstLIBRARIES \
1391 mostlyclean-am
1392
1393 distclean: distclean-recursive
1394 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1395 -rm -rf common/$(DEPDIR) igen/$(DEPDIR) testsuite/common/$(DEPDIR)
1396 -rm -f Makefile
1397 distclean-am: clean-am distclean-DEJAGNU distclean-compile \
1398 distclean-generic distclean-tags
1399
1400 dvi: dvi-recursive
1401
1402 dvi-am:
1403
1404 html: html-recursive
1405
1406 html-am:
1407
1408 info: info-recursive
1409
1410 info-am:
1411
1412 install-data-am: install-pkgincludeHEADERS
1413
1414 install-dvi: install-dvi-recursive
1415
1416 install-dvi-am:
1417
1418 install-exec-am:
1419
1420 install-html: install-html-recursive
1421
1422 install-html-am:
1423
1424 install-info: install-info-recursive
1425
1426 install-info-am:
1427
1428 install-man:
1429
1430 install-pdf: install-pdf-recursive
1431
1432 install-pdf-am:
1433
1434 install-ps: install-ps-recursive
1435
1436 install-ps-am:
1437
1438 installcheck-am:
1439
1440 maintainer-clean: maintainer-clean-recursive
1441 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1442 -rm -rf $(top_srcdir)/autom4te.cache
1443 -rm -rf common/$(DEPDIR) igen/$(DEPDIR) testsuite/common/$(DEPDIR)
1444 -rm -f Makefile
1445 maintainer-clean-am: distclean-am maintainer-clean-generic
1446
1447 mostlyclean: mostlyclean-recursive
1448
1449 mostlyclean-am: mostlyclean-compile mostlyclean-generic
1450
1451 pdf: pdf-recursive
1452
1453 pdf-am:
1454
1455 ps: ps-recursive
1456
1457 ps-am:
1458
1459 uninstall-am: uninstall-pkgincludeHEADERS
1460
1461 .MAKE: $(am__recursive_targets) check-am install-am install-strip
1462
1463 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
1464 am--refresh check check-DEJAGNU check-TESTS check-am clean \
1465 clean-checkPROGRAMS clean-cscope clean-generic \
1466 clean-noinstLIBRARIES cscope cscopelist-am ctags ctags-am \
1467 distclean distclean-DEJAGNU distclean-compile \
1468 distclean-generic distclean-tags dvi dvi-am html html-am info \
1469 info-am install install-am install-data install-data-am \
1470 install-dvi install-dvi-am install-exec install-exec-am \
1471 install-html install-html-am install-info install-info-am \
1472 install-man install-pdf install-pdf-am \
1473 install-pkgincludeHEADERS install-ps install-ps-am \
1474 install-strip installcheck installcheck-am installdirs \
1475 installdirs-am maintainer-clean maintainer-clean-generic \
1476 mostlyclean mostlyclean-compile mostlyclean-generic pdf pdf-am \
1477 ps ps-am recheck tags tags-am uninstall uninstall-am \
1478 uninstall-pkgincludeHEADERS
1479
1480 .PRECIOUS: Makefile
1481
1482
1483 # Generate nltvals.def for newlib/libgloss using devo and build tree.
1484 # This file is shipped with distributions so we build in the source dir.
1485 # Use `make nltvals' to rebuild.
1486 # Note: If gdb releases begin to contain target header files (not a good idea,
1487 # but if they did ...), nltvals.def coud be generated at build time.
1488 # An alternative is to slurp in the tables at runtime.
1489 .PHONY: nltvals
1490 nltvals:
1491 $(abs_srcdir)/common/gennltvals.py --cpp "$(CPP)" --output nltvals.def --srcroot $(srcroot)
1492 $(SHELL) $(srcroot)/move-if-change nltvals.def $(abs_srcdir)/common/nltvals.def
1493
1494 common/version.c: $(srcroot)/gdb/version.in $(srcroot)/bfd/version.h $(srcdir)/common/create-version.sh
1495 $(SHELL) $(srcdir)/common/create-version.sh $(srcroot)/gdb $@.tmp
1496 $(SHELL) $(srcroot)/move-if-change $@.tmp $@
1497 touch $@
1498
1499 # Alias for developers.
1500 @SIM_ENABLE_IGEN_TRUE@igen: igen/igen$(EXEEXT)
1501
1502 # These rules are copied from automake, but tweaked to use FOR_BUILD variables.
1503 @SIM_ENABLE_IGEN_TRUE@igen/libigen.a: $(igen_libigen_a_OBJECTS) $(igen_libigen_a_DEPENDENCIES) $(EXTRA_igen_libigen_a_DEPENDENCIES) igen/$(am__dirstamp)
1504 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_at)-rm -f $@
1505 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_AR)$(AR_FOR_BUILD) $(ARFLAGS) $@ $(igen_libigen_a_OBJECTS) $(igen_libigen_a_LIBADD)
1506 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_at)$(RANLIB_FOR_BUILD) $@
1507
1508 @SIM_ENABLE_IGEN_TRUE@igen/igen$(EXEEXT): $(igen_igen_OBJECTS) $(igen_igen_DEPENDENCIES) igen/$(am__dirstamp)
1509 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CCLD)$(LINK_FOR_BUILD) $(igen_igen_OBJECTS) $(igen_igen_LDADD)
1510
1511 # igen is a build-time only tool. Override the default rules for it.
1512 @SIM_ENABLE_IGEN_TRUE@igen/%.o: igen/%.c
1513 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CC)$(COMPILE_FOR_BUILD) -c $< -o $@
1514
1515 # Build some of the files in standalone mode for developers of igen itself.
1516 @SIM_ENABLE_IGEN_TRUE@igen/%-main.o: igen/%.c
1517 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CC)$(COMPILE_FOR_BUILD) -DMAIN -c $< -o $@
1518
1519 site-srcdir.exp: Makefile
1520 echo "set srcdir \"$(srcdir)/testsuite\"" > $@
1521
1522 check-DEJAGNU: site.exp
1523 LC_ALL=C; export LC_ALL; \
1524 EXPECT=${EXPECT} ; export EXPECT ; \
1525 runtest=$(RUNTEST); \
1526 if $(SHELL) -c "$$runtest --version" > /dev/null 2>&1; then \
1527 $$runtest $(RUNTESTFLAGS); \
1528 else echo "WARNING: could not find \`runtest'" 1>&2; :;\
1529 fi
1530
1531 # These tests are build-time only tools. Override the default rules for them.
1532 testsuite/common/%.o: testsuite/common/%.c
1533 $(AM_V_CC)$(COMPILE_FOR_BUILD) $(testsuite_common_CPPFLAGS) -c $< -o $@
1534
1535 testsuite/common/alu-tst$(EXEEXT): $(testsuite_common_alu_tst_OBJECTS) $(testsuite_common_alu_tst_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1536 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_alu_tst_OBJECTS) $(testsuite_common_alu_tst_LDADD)
1537
1538 testsuite/common/fpu-tst$(EXEEXT): $(testsuite_common_fpu_tst_OBJECTS) $(testsuite_common_fpu_tst_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1539 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_fpu_tst_OBJECTS) $(testsuite_common_fpu_tst_LDADD)
1540
1541 testsuite/common/bits-gen$(EXEEXT): $(testsuite_common_bits_gen_OBJECTS) $(testsuite_common_bits_gen_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1542 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits_gen_OBJECTS) $(testsuite_common_bits_gen_LDADD)
1543
1544 testsuite/common/bits32m0$(EXEEXT): $(testsuite_common_bits32m0_OBJECTS) $(testsuite_common_bits32m0_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1545 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits32m0_OBJECTS) $(testsuite_common_bits32m0_LDADD)
1546
1547 testsuite/common/bits32m0.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1548 $< 32 0 big > $@.tmp
1549 cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1550 mv $@.tmp $@
1551
1552 testsuite/common/bits32m31$(EXEEXT): $(testsuite_common_bits32m31_OBJECTS) $(testsuite_common_bits32m31_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1553 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits32m31_OBJECTS) $(testsuite_common_bits32m31_LDADD)
1554
1555 testsuite/common/bits32m31.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1556 $< 32 31 little > $@.tmp
1557 cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1558 mv $@.tmp $@
1559
1560 testsuite/common/bits64m0$(EXEEXT): $(testsuite_common_bits64m0_OBJECTS) $(testsuite_common_bits64m0_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1561 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits64m0_OBJECTS) $(testsuite_common_bits64m0_LDADD)
1562
1563 testsuite/common/bits64m0.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1564 $< 64 0 big > $@.tmp
1565 cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1566 mv $@.tmp $@
1567
1568 testsuite/common/bits64m63$(EXEEXT): $(testsuite_common_bits64m63_OBJECTS) $(testsuite_common_bits64m63_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1569 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits64m63_OBJECTS) $(testsuite_common_bits64m63_LDADD)
1570
1571 testsuite/common/bits64m63.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1572 $< 64 63 little > $@.tmp
1573 cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1574 mv $@.tmp $@
1575
1576 all-recursive: $(SIM_ALL_RECURSIVE_DEPS)
1577
1578 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1579 # Otherwise a system limit (for SysV at least) may be exceeded.
1580 .NOEXPORT: